Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jndi
Class JNDIProperties

    java.lang.Object
      |
      +--org.huihoo.jfox.jndi.JNDIProperties

public class JNDIProperties
extends java.lang.Object

Author:
  Young Yang

Field Summary
`static java.lang.String` | `DEFAULT_HOST`
`static int` | `DEFAULT_PORT`
`static java.lang.String` | `DEFAULT_SCHEME`
`static java.lang.String` | `INITIAL_CONTEXT_FACTORY`
`static java.lang.String` | `PROVIDER_URL`
`static java.lang.String` | `URL_PKG_PREFIXES`

Constructor Summary
`JNDIProperties()`

Method Summary
`static java.util.Hashtable` | `cloneEnvironment(java.util.Hashtable env)`
`static java.util.Hashtable` | `getDefaultEnvironment()`
`static java.util.Hashtable` | `mergeEnvironment(java.util.Hashtable env)` merge env with the default environment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HOST

    public static final java.lang.String DEFAULT_HOST

### DEFAULT_PORT

    public static final int DEFAULT_PORT

### DEFAULT_SCHEME

    public static final java.lang.String DEFAULT_SCHEME

### PROVIDER_URL

    public static final java.lang.String PROVIDER_URL

### URL_PKG_PREFIXES

    public static final java.lang.String URL_PKG_PREFIXES

### INITIAL_CONTEXT_FACTORY

    public static final java.lang.String INITIAL_CONTEXT_FACTORY

Constructor Detail

### JNDIProperties

    public JNDIProperties()

Method Detail

### getDefaultEnvironment

    public static java.util.Hashtable getDefaultEnvironment()

### mergeEnvironment

    public static java.util.Hashtable mergeEnvironment(java.util.Hashtable env)

  merge env with the default environment

### cloneEnvironment

    public static java.util.Hashtable cloneEnvironment(java.util.Hashtable env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD